# $Revision: 1.7 $, $Date: 2002/04/13 17:16:10 $
%include	/usr/lib/rpm/macros.python

%define		module	log4py

Summary:	Python logging module
Summary(pl):	Moduy Pythona do obsugi logowania zdarze
Name:		python-%{module}
Version:	0.7.1
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	http://prdownloads.sourceforge.net/log4py/%{module}-%{version}.tar.gz
URL:		http://www.its4you.at/log4py.php
BuildRequires:	python >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log4Py is a Python logging module similar to log4j. It supports
logging to files or to stdout/stderr, variable log-levels,
configurable output formats and configuration via configuration files.

%description -l pl
Log4Py jest moduem jzyka Python, podobnym do log4j. Modu umoliwia
logowanie zdarze do plikw, na standardowe wyjcie oraz standardowe
wyjcie bdw, tworzenie rnych poziomw logowania, konfigurowanie
wywietlanych informacji oraz konfiguracj za pomoc plikw
konfiguracyjnych.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir}
export PYTHONPATH

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

gzip -9nf doc/{ChangeLog,AUTHORS,LICENSE} readme.txt log4py.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz doc/*.gz doc/html
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-log4py.spec,v $
Revision 1.7  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.6  2002/04/11 12:17:54  wrobell
- use pyrequires_eq macro
- rel. 3
- stb

Revision 1.5  2002/03/18 07:08:01  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.4  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/22 00:05:29  kloczek
- cosmetics.

Revision 1.2  2002/02/21 23:23:55  wrobell
- fixed summaries

Revision 1.1  2002/02/21 22:45:58  wrobell
- based on python-pyirclib.spec
